at.chipkarte.client.ebs.soap

## Class Katalogleistung

- Object
- - at.chipkarte.client.ebs.soap.Katalogleistung

-     public class Katalogleistung
      extends Object

  Dient der Ausgabe der Parameter der einzelnen Katalogleistungen. Katalogleistungen dienen der Angabe definierter gewünschter Leistungen innerhalb der Vorordnungen bei Antragserstellung, sowie zur Festlegung der entschiedenen Leistung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Katalogleistung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnzeigetext()` Anzeigetext der Katalogleistung.
    `String` | `getAppc()` APPC (Austrian PACS Procedure Code).
    `String` | `getIndikationsangabe()` Indikationsangabe.
    `String` | `getKategorienummer()` Nummer der Kategorie.
    `String` | `getLeistungsposition()` Eindeutige ID einer Katalogleistung (Verordnungsreferenz).
    `Boolean` | `getSeitenangabe()` Gibt an, ob bei Auswahl dieser Katalogleistung eine Seitenangabe mit einem Wert ungleich nicht relvant notwendig ist.
    `void` | `setAnzeigetext(String anzeigetext)`
    `void` | `setAppc(String appc)`
    `void` | `setIndikationsangabe(String indikationsangabe)`
    `void` | `setKategorienummer(String kategorienummer)`
    `void` | `setLeistungsposition(String leistungsposition)`
    `void` | `setSeitenangabe(Boolean seitenangabe)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Katalogleistung

          public Katalogleistung()

  - ### Method Detail

    - #### getLeistungsposition

          public String getLeistungsposition()

      Eindeutige ID einer Katalogleistung (Verordnungsreferenz).
      Angabe: Muss.
      Format: 50-stellig
      Returns:
        Leistungsposition.

    - #### setLeistungsposition

          public void setLeistungsposition(String leistungsposition)

    - #### getAnzeigetext

          public String getAnzeigetext()

      Anzeigetext der Katalogleistung.
      Angabe: Muss.
      Format: 100-stellig
      Returns:
        Anzeigetext.

    - #### setAnzeigetext

          public void setAnzeigetext(String anzeigetext)

    - #### getSeitenangabe

          public Boolean getSeitenangabe()

      Gibt an, ob bei Auswahl dieser Katalogleistung eine Seitenangabe mit einem Wert ungleich nicht relvant notwendig ist.
      True es muss eine Seitenangabe erfolgen (mit einem Wert ungleich nicht relevant).
      False es darf keine Seitenangabe erfolgen (Bei den Antragstypen CT, MR, KDM und ROEU: mit einem Wert ungleich nicht relevant, bei den Antragstypen NUK, HUM, KPD und ROET: es darf gar keine Seitenangabe erfolgen).
      Angabe: Muss.
      Returns:
        Seitenangabe.

    - #### setSeitenangabe

          public void setSeitenangabe(Boolean seitenangabe)

    - #### getKategorienummer

          public String getKategorienummer()

      Nummer der Kategorie.
      Hinweis: Verweis auf eine Kategorie. Dient der Einschränkung der Katalogleistungen bei der Verordnungserstellung.
      Angabe: Kann.
      Format: 50-stellig
      Returns:
        Kategorienummer.

    - #### setKategorienummer

          public void setKategorienummer(String kategorienummer)

    - #### getIndikationsangabe

          public String getIndikationsangabe()

      Indikationsangabe. Gibt an, ob bei Auswahl dieser Katalogleistung die Angabe von Indikationen zulässig ist und welche Indikationen (z.B. "M" für Mammographie). Erweiterte Angabebedingungen bzgl. der Indikationen (Pflichtangabe, optionale Angabe) sind jeweils bei den betroffenen Antragsdaten beschrieben.
      Hinweis: Ist eine Indikationsangabe angegeben, dann ist eine Indikation zulässig.
      Mögliche Werte siehe `IndikationKennzeichenTypConstants`.
      Angabe: Kann.
      Returns:
        Indikationsangabe.

    - #### setIndikationsangabe

          public void setIndikationsangabe(String indikationsangabe)

    - #### getAppc

          public String getAppc()

      APPC (Austrian PACS Procedure Code).
      Angabe: Kann.
      Format: 30-stellig
      Returns:
        Appc.

    - #### setAppc

          public void setAppc(String appc)